Bug 19390 - Popup Menu for Multiple DB Connection is not OK
Popup Menu for Multiple DB Connection is not OK
Status: CLOSED FIXED
Product: db
Classification: Unclassified
Component: Code
3.x
Sun Solaris
: P4 (vote)
: 3.x
Assigned To: Radko Najman
issues@db
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-11 21:44 UTC by Sakthivel Gopal
Modified: 2003-06-30 17:17 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sakthivel Gopal 2002-01-11 21:44:19 UTC
Current FFJ Build
Choose Multiple Db Connections on Runtime Tab i.e, Select them using Shift+Click
or Control+Click
Right click for Popup menu
Choose disconnect, only the first connection gets disconnected when all chosen
connections are expected to be disconnected.
Same for making multiple connections too, Deleting connections, Test Driver,...
Comment 1 Pavel Flaska 2002-03-07 15:26:10 UTC
There are problems with enabling/disabling actions on connection.
Decision when item is enabled/disabled is done only in relation to the
first selected node.
Comment 2 Pavel Flaska 2002-03-07 18:24:05 UTC
Suggested solution:
- Disconnect should be available on one or more connections,
- Connect, Test Driver... etc. should be enabled only if one node is
selected.

Deleting works for me on multiple connections.

Is this correct?
Comment 3 Radko Najman 2002-03-14 10:07:23 UTC
I agree with Disconnect action for more connections.

Test driver and Connnect actions should be available on single node
only, not on more selected connection nodes. A lot of connecting
dialogs would be confusing for users.
Comment 4 Pavel Flaska 2002-03-19 19:06:23 UTC
Fixed in trunk and orion_fcs branch.
Comment 5 David Kaspar 2002-11-18 15:15:31 UTC
Reopening this issue because:
I have enabled "Execute Command..." action also.
But this action is started only for first connect.
Comment 6 Radko Najman 2003-01-13 15:53:12 UTC
Fixed in trunk.
Comment 7 Martin Schovanek 2003-03-12 16:29:24 UTC
VERIFIED
Comment 8 Quality Engineering 2003-06-30 17:17:46 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo